Bug 1013981 - ibus-libpinyin needs to have ibus write-cache --system in %post and %postun
ibus-libpinyin needs to have ibus write-cache --system in %post and %postun
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 04:05 EDT by fujiwara
Modified: 2013-10-15 02:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: ibus-libpinyin-1.6.91-5.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-15 02:27:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fujiwara 2013-10-01 04:05:12 EDT
ibus 1.5.3 or later supports the system cache besides the user cache and the system cache can reduce the launching time of ibus-daemon when the users log into the desktop session initially.

I'd ask the engines to have 'ibus write-cache --system' in their %post and %postun if the engines are installed by default comps.

Please refer the %post and %postun in ibus-anthy:
http://pkgs.fedoraproject.org/cgit/ibus-anthy.git/tree/ibus-anthy.spec#n105
Comment 1 Fedora Update System 2013-10-08 03:56:33 EDT
ibus-libpinyin-1.6.91-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ibus-libpinyin-1.6.91-4.fc20
Comment 2 Fedora Update System 2013-10-08 03:56:44 EDT
ibus-libpinyin-1.6.91-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-libpinyin-1.6.91-4.fc19
Comment 3 Fedora Update System 2013-10-09 10:13:41 EDT
Package ibus-libpinyin-1.6.91-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-libpinyin-1.6.91-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18513/ibus-libpinyin-1.6.91-4.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-15 02:27:52 EDT
ibus-libpinyin-1.6.91-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.